# Interface SkyCoverage.TupleDecoder

Enclosing class:
  `SkyCoverage`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface SkyCoverage.TupleDecoder
Defines mapping a tuple to sky positional information.

Since:
  8 Jun 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`decodeTuple(Object[] tuple, double[] out)`
Extracts a sky coordinate information from a tuple.

## Method Details

### decodeTuple

boolean decodeTuple(Object[] tuple, double[] out)
Extracts a sky coordinate information from a tuple. The result is written into a supplied workspace array.

Note this method must be thread-safe, it may be called from multiple threads concurrently.

Parameters:
  `tuple` - input tuple data
  `out` - workspace array into which positional information will be written on successful output
Returns:
  true on success